"use strict";
const common_vendor = require("../../../common/vendor.js");
const sheep_index = require("../../index.js");
require("../../url/index.js");
require("../../store/index.js");
require("../../store/app.js");
require("../../api/promotion/diy.js");
require("../../request/index.js");
require("../../config/index.js");
require("../../platform/index.js");
require("../../platform/provider/wechat/index.js");
require("../../platform/provider/wechat/miniProgram.js");
require("../../api/member/auth.js");
require("../../api/member/social.js");
require("../../api/member/user.js");
require("../../platform/provider/apple/index.js");
require("../../platform/share.js");
require("../../router/index.js");
require("../../hooks/useModal.js");
require("../../helper/index.js");
require("../../helper/test.js");
require("../../helper/digit.js");
require("../../helper/throttle.js");
require("../../platform/pay.js");
require("../../api/pay/order.js");
require("../../store/user.js");
require("../../store/cart.js");
require("../../api/trade/cart.js");
require("../../api/pay/wallet.js");
require("../../api/trade/order.js");
require("../../api/promotion/coupon.js");
require("../../store/sys.js");
require("../../store/modal.js");
require("../../config/zIndex.js");
if (!Array) {
  const _easycom_uni_grid_item2 = common_vendor.resolveComponent("uni-grid-item");
  const _easycom_uni_grid2 = common_vendor.resolveComponent("uni-grid");
  (_easycom_uni_grid_item2 + _easycom_uni_grid2)();
}
const _easycom_uni_grid_item = () => "../../../uni_modules/uni-grid/components/uni-grid-item/uni-grid-item.js";
const _easycom_uni_grid = () => "../../../uni_modules/uni-grid/components/uni-grid/uni-grid.js";
if (!Math) {
  (_easycom_uni_grid_item + _easycom_uni_grid)();
}
const _sfc_main = {
  __name: "s-menu-grid",
  props: {
    data: {
      type: Object,
      default() {
      }
    }
  },
  setup(__props) {
    return (_ctx, _cache) => {
      return {
        a: common_vendor.f(__props.data.list, (item, index, i0) => {
          return common_vendor.e({
            a: item.badge.show
          }, item.badge.show ? {
            b: common_vendor.t(item.badge.text),
            c: common_vendor.s({
              background: item.badge.bgColor,
              color: item.badge.textColor
            })
          } : {}, {
            d: common_vendor.unref(sheep_index.sheep).$url.cdn(item.iconUrl),
            e: common_vendor.t(item.title),
            f: common_vendor.s({
              color: item.titleColor
            }),
            g: common_vendor.t(item.subtitle),
            h: common_vendor.s({
              color: item.subtitleColor
            }),
            i: index,
            j: common_vendor.o(($event) => common_vendor.unref(sheep_index.sheep).$router.go(item.url), index),
            k: "1aac7574-1-" + i0 + ",1aac7574-0"
          });
        }),
        b: common_vendor.p({
          showBorder: Boolean(__props.data.border),
          column: __props.data.column
        })
      };
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-1aac7574"], ["__file", "/Users/RuHu.Xu/Desktop/mall-newfeifan-zx-app/sheep/components/s-menu-grid/s-menu-grid.vue"]]);
wx.createComponent(Component);
